using ZeroLevel.Services.Serialization;

namespace BukiVedi.Shared.Models
{
    public class AuthTokenData
        : IBinarySerializable
    {
        public long Timestamp { get; set; }
        public string Login { get; set; }

        public void Deserialize(IBinaryReader reader)
        {
            this.Timestamp = reader.ReadLong();
            this.Login = reader.ReadString();
        }

        public void Serialize(IBinaryWriter writer)
        {
            writer.WriteLong(this.Timestamp);
            writer.WriteString(this.Login);
        }
    }
}
